@web-font-path: "roboto-debian.css";
v2.2.0 (RP2040)
Loading...
Searching...
No Matches
rand.h File Reference
`#include "pico.h"`
Include dependency graph for rand.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | rng_128

## Macros

#define | PICO_RAND_ENTROPY_SRC_ROSC 1
#define | PICO_RAND_ENTROPY_SRC_TIME 1
#define | PICO_RAND_ENTROPY_SRC_BUS_PERF_COUNTER 1
#define | PICO_RAND_SEED_ENTROPY_SRC_ROSC PICO_RAND_ENTROPY_SRC_ROSC
#define | PICO_RAND_SEED_ENTROPY_SRC_TIME PICO_RAND_ENTROPY_SRC_TIME
#define | PICO_RAND_SEED_ENTROPY_SRC_BUS_PERF_COUNTER PICO_RAND_ENTROPY_SRC_BUS_PERF_COUNTER
#define | PICO_RAND_SEED_ENTROPY_SRC_BOARD_ID (!PICO_RAND_SEED_ENTROPY_SRC_BOOT_RANDOM)
#define | PICO_RAND_SEED_ENTROPY_SRC_RAM_HASH 1
#define | PICO_RAND_ROSC_BIT_SAMPLE_COUNT 1
#define | PICO_RAND_MIN_ROSC_BIT_SAMPLE_TIME_US 10u
#define | PICO_RAND_BUS_PERF_COUNTER_EVENT arbiter_sram5_perf_event_access
#define | PICO_RAND_RAM_HASH_END SRAM_END
#define | PICO_RAND_RAM_HASH_START (PICO_RAND_RAM_HASH_END - 1024u)

## Typedefs

typedef struct rng_128 | rng_128_t

## Functions

void | get_rand_128 (rng_128_t *rand128)
| Get 128-bit random number.
uint64_t | get_rand_64 (void)
| Get 64-bit random number.
uint32_t | get_rand_32 (void)
| Get 32-bit random number.